#ifndef FIREWALL_HPP
#define FIREWALL_HPP

#include "API.hpp"

namespace fw
{
    class Firewall : public API
    {
    private:
    public:
        Firewall(const char *, const char *, const char *, const char *, const String ip, const uint16_t = 8080);
        ~Firewall();
        void handle_api_client();
    };

    Firewall::Firewall(const char *cert, const char *key, const char *username, const char *password, const String ip, const uint16_t port)
        : API(cert, key, username, password, ip, port) {}
    Firewall::~Firewall() {}
    void Firewall::handle_api_client()
    {
        handle_client();
    }
}

#endif
